//by semesin.com

#include <inttypes.h>
#ifdef __AVR__
#include <avr/pgmspace.h>
#elif defined (ESP8266)
#include <pgmspace.h>
#else
#define PROGMEM
#endif

#ifndef SEMESIN_ANGKA4x8_H
#define SEMESIN_ANGKA4x8_H

static const uint8_t Angka4x8[] PROGMEM = {
    0x01, 0x9C, // size
    0x04, // width
    0x08, // height
    0x2D, // first char
    0x0E, // char count
    
    // char widths
    0x03, 0x01, 0x04, 0x04, 0x04, 0x04, 0x04, 0x04, 0x04, 0x04, 
    0x04, 0x04, 0x04, 0x01, 
    
    // font data
    0x08, 0x08, 0x08, // 45
    0x40, // 46
    0x60, 0x18, 0x0C, 0x03, // 47
    0x7E, 0x41, 0x41, 0x3F, // 48
    0x40, 0x42, 0x7F, 0x40, // 49
    0x79, 0x49, 0x49, 0x4F, // 50
    0x41, 0x49, 0x49, 0x7F, // 51
    0x0C, 0x0B, 0x08, 0x7C, // 52
    0x4F, 0x49, 0x49, 0x79, // 53
    0x7F, 0x49, 0x49, 0x78, // 54
    0x61, 0x11, 0x0D, 0x07, // 55
    0x7F, 0x49, 0x49, 0x7F, // 56
    0x0F, 0x49, 0x49, 0x7F, // 57
    0x22 // 58
    
};

#endif
